package modeles;

import java.util.ArrayList;
import java.util.List;

/**
 * @author flavien
 *
 */

public class Marche extends Salle {
	private List<Integer> listeObjet=new ArrayList<Integer>();
	public Marche(List<Integer> listeEnnemie) {
		super(0,0, false, listeEnnemie);
	}
	
	//methode pour enregistrer la liste objet (il faudra sans doute changer le type de listeObjet) settingListeObjet(Labyrinthe lab)
	public String creerObjetsAVendre(Labyrinthe lab) {
		String listeSarme="";
		String listeSarmure="";
		String listeobjet="";
		int i = 0;
		int j = 0;
		
		for (Arme arme : lab.listeArme) {
			//stringifier les armes
			listeSarme += arme.toString() + " au prix de : " + arme.getPrix()"\n";
			i++;
		}
			
		for (Armure armure : lab.listeArmure) {
			//stringifier les armures
			listeSarmure += armure.toString()+ " au prix de : " + armure.getPrix()"\n";
			j++;
		}
			
		listeobjet = "Armes :\n" + listeSarme + "Armes :\n" + listeSarmure;
		
		return listeobjet;
	}
}
